import { getLog } from './get-log';
const MAX_DISCONNECT_TIME = 10000;

const dispose = async ({
  connection
}) => {
  if (connection != null) {
    const log = getLog('dispose');
    let timeout = null;

    try {
      await Promise.race([new Promise(resolve => {
        timeout = setTimeout(resolve, MAX_DISCONNECT_TIME);
      }), connection.end()]);
    } catch (err) {
      log.error(err);
    } finally {
      if (timeout != null) {
        clearTimeout(timeout);
      }
    }
  }
};

export default dispose;
//# sourceMappingURL=dispose.js.map